- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Value_Union Union Reference
Generic Value Storage

All possible value types. More...

## Data Fields
unsigned char | buf [8]
| just hold 8-bytes, more goes into ptr
void * | ptr
| used as generic pointer
uint64_t | _guarantee
| guarantees 8-byte alignment

## Detailed Description

All possible value types.

This is only used to specify the minimum payload memory for Eina_Value.